
From: Tim Schmielau <tim@physik3.uni-rostock.de>

It seems a little unsafe to me to have oom killer badness points of type
int, when all the underlying objects are unsigned long.

I can't immediately think of a case where this matters much, but e.g.  a
long-running job or daemon on a 64 bit machine might lose it's bonus
because of that.

Signed-off-by: Tim Schmielau <tim@physik3.uni-rostock.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/oom_kill.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN mm/oom_kill.c~make-oom-killer-points-unsigned-long mm/oom_kill.c
--- 25/mm/oom_kill.c~make-oom-killer-points-unsigned-long	Tue Aug 24 15:22:18 2004
+++ 25-akpm/mm/oom_kill.c	Tue Aug 24 15:22:18 2004
@@ -41,9 +41,9 @@
  *    of least surprise ... (be careful when you change it)
  */
 
-static int badness(struct task_struct *p)
+static unsigned long badness(struct task_struct *p)
 {
-	int points, cpu_time, run_time, s;
+	unsigned long points, cpu_time, run_time, s;
 
 	if (!p->mm)
 		return 0;
@@ -108,13 +108,13 @@ static int badness(struct task_struct *p
  */
 static struct task_struct * select_bad_process(void)
 {
-	int maxpoints = 0;
+	unsigned long maxpoints = 0;
 	struct task_struct *g, *p;
 	struct task_struct *chosen = NULL;
 
 	do_each_thread(g, p)
 		if (p->pid) {
-			int points = badness(p);
+			unsigned long points = badness(p);
 			if (points > maxpoints) {
 				chosen = p;
 				maxpoints = points;
_
